Package org.apache.tools.ant.types

# Class Parameter

java.lang.Object
org.apache.tools.ant.types.Parameter

    public final class Parameter
    extends java.lang.Object

A parameter is composed of a name, type and value.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Parameter()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getName()` | Get the name attribute.
`java.lang.String` | `getType()` | Get the type attribute.
`java.lang.String` | `getValue()` | Get the value attribute.
`void` | `setName​(java.lang.String name)` | Set the name attribute.
`void` | `setType​(java.lang.String type)` | Set the type attribute.
`void` | `setValue​(java.lang.String value)` | Set the value attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parameter

public Parameter()

## Method Details

### setName

public void setName​(java.lang.String name)
Set the name attribute.

Parameters:
  `name` - a `String` value

### setType

public void setType​(java.lang.String type)
Set the type attribute.

Parameters:
  `type` - a `String` value

### setValue

public void setValue​(java.lang.String value)
Set the value attribute.

Parameters:
  `value` - a `String` value

### getName

public java.lang.String getName()
Get the name attribute.

Returns:
  a `String` value

### getType

public java.lang.String getType()
Get the type attribute.

Returns:
  a `String` value

### getValue

public java.lang.String getValue()
Get the value attribute.

Returns:
  a `String` value